%define anolis_release 1

# Run optional test
%bcond_without perl_Locale_Maketext_enables_optional_test

Name:           perl-Locale-Maketext
Version:        1.32
Release:        %{anolis_release}%{?dist}
Summary:        Framework for localization
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Locale-Maketext
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Locale-Maketext-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(I18N::LangTags) >= 0.31
BuildRequires:  perl(I18N::LangTags::Detect)
BuildRequires:  perl(integer)
# utf8 is used only if it has already been loaded
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
# Optional tests:
%if %{with perl_Locale_Maketext_enables_optional_test} && !%{defined perl_bootstrap}
BuildRequires:  perl(Test::Pod) >= 1.14
%endif
Requires:       perl(I18N::LangTags) >= 0.31
# utf8 is used only if it has already been loaded
Requires:       perl(warnings)

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(I18N::LangTags\\)$

%description
It is a common feature of applications (whether run directly, or via the Web)
for them to be "localized" -- i.e., for them to present an English interface
to an English-speaker, a German interface to a German-speaker, and so on for
all languages it's programmed with. Locale::Maketext is a framework for
software localization; it provides you with the tools for organizing and
accessing the bits of text and text-processing code that you need for
producing localized applications.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Locale-Maketext-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc ChangeLog README

%changelog
* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.32-1
- remove versioned MODULE_COMPAT_ requires
- update to version 1.32

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.30-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 1.30-1
- Initial build for Anolis V23
